on:
  pull_request:
    branches:
      - main
    paths:
      - backend/**

name: Run linting on the backend code

jobs:
  build:
    name: Build
    runs-on: ubuntu-latest
    steps:

    - uses: https://gitea.com/actions/checkout@v4

    - name: Install dependencies
      run: |
        apt-get update && apt-get install -y python3 python3-pip
        pip install pipenv        

    - name: Install packages
      run: |
        ls -la
        # only install dev-packages
        pipenv install --categories=dev-packages
      working-directory: backend

    - name: Run linter
      run: pipenv run pylint src --fail-under=9 
      working-directory: backend
